Subject: bug#37564: [PATCH] don't export LINES and COLUMNS env vars in term to fix ncurses applications

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Jan 2020 04:04:18 +0100

Eli Zaretskii <[email-masked]> writes:

> As for "causing more problems than it solves", I don't think I saw
> any evidence for that: even the one use case which started this bug
> report was later shown to behave as expected.

The recipe in the OP was:

> emacs -Q
> M-x term
> <ret> (to select /bin/bash)
> htop (to run htop)
> 
> and resizing the window (especially making it smaller) can make the
> program impossible to read.

When I do this on my machine, the output gets all messed up and
impossible to read.

Best regards,
Stefan Kangas